API
Facebook API
The AI-powered Facebook provides 360° Global Media Data & Intelligence on Facebook pages, groups, community managers, advertisers, and platform policy teams.
API-Referenz Version: 1.0.0 3 Endpunkte Authentifizierung
Basis-URL
https://pressmonitor.com/api Authentifizierung
Alle Anfragen erfordern die Header x-api-key und x-subscription-id. x-api-key authentifiziert Ihr Konto; x-subscription-id waehlt den abonnierten Dienst aus.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/facebook_user Facebook Utilisateur
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| username | string | query | Ja | Username |
Code-Beispiele
curl -X GET \
"https://pressmonitor.com/api/facebook_user?username=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Success
GET
/facebook_page Facebook Page
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| page_id | string | query | Ja | Page ID |
Code-Beispiele
curl -X GET \
"https://pressmonitor.com/api/facebook_page?page_id=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Success
GET
/facebook_posts Facebook Publications
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| page_id | string | query | Ja | Page ID |
| limit | integer | query | Nein | Number of results |
Code-Beispiele
curl -X GET \
"https://pressmonitor.com/api/facebook_posts?page_id=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Success
